be.ehealth.businessconnector.ehbox.api.domain

## Class DocumentMessage<T>

- java.lang.Object
- - be.ehealth.businessconnector.ehbox.api.domain.Message<T>
  - - be.ehealth.businessconnector.ehbox.api.domain.DocumentMessage<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    NewsMessage

      public class DocumentMessage<T>
      extends Message<T>

  DocumentMessage class declaration. Extends : `Message`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentMessage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Document>` | `getAnnexList()`
    `List<String>` | `getCopyMailTo()`
    `Document` | `getDocument()`
    `String` | `getDocumentTitle()`
    `Map<String,String>` | `getFreeInformationTableRows()`
    `String` | `getFreeInformationTableTitle()`
    `String` | `getFreeText()`
    `String` | `getPatientInss()`
    `void` | `setDocument(Document document)`
    `void` | `setFreeInformationTableRows(Map<String,String> freeInformationTableRows)`
    `void` | `setFreeInformationTableTitle(String freeInformationTableTitle)`
    `void` | `setFreeText(String freeText)`
    `void` | `setPatientInss(String patientInss)`

    - ### Methods inherited from class be.ehealth.businessconnector.ehbox.api.domain.Message

      `generatePublicationId, getCustomMetas, getDestinations, getExpirationDate, getExpirationDateTime, getId, getMandatee, getOriginal, getPublicationDate, getPublicationDateTime, getPublicationId, getSender, getSize, isEncrypted, isHasAnnex, isHasFreeInformations, isImportant, isUsePublicationReceipt, isUseReadReceipt, isUseReceivedReceipt, setDestinations, setEncrypted, setExpirationDate, setExpirationDateTime, setHasAnnex, setHasFreeInformations, setId, setImportant, setMandatee, setOriginal, setPublicationDate, setPublicationDateTime, setPublicationId, setSender, setSize, setUsePublicationReceipt, setUseReadReceipt, setUseReceivedReceipt, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentMessage

          public DocumentMessage()

  - ### Method Detail

    - #### getDocumentTitle

          public final String getDocumentTitle()

      Returns:
        the document title

    - #### getDocument

          public final Document getDocument()

      Returns:
        the document

    - #### setDocument

          public final void setDocument(Document document)

      Parameters:
        `document` - the document to set

    - #### getFreeText

          public final String getFreeText()

      Returns:
        the freeText

    - #### setFreeText

          public final void setFreeText(String freeText)

      Parameters:
        `freeText` - the freeText to set

    - #### getPatientInss

          public final String getPatientInss()

      Returns:
        the patientInss

    - #### setPatientInss

          public final void setPatientInss(String patientInss)

      Parameters:
        `patientInss` - the patientInss to set

    - #### getAnnexList

          public final List<Document> getAnnexList()

      Returns:
        the annex list

    - #### getCopyMailTo

          public List<String> getCopyMailTo()

      Returns:
        the copyMailTo

    - #### getFreeInformationTableTitle

          public String getFreeInformationTableTitle()

      Returns:
        the freeInformationTableTitle

    - #### setFreeInformationTableTitle

          public void setFreeInformationTableTitle(String freeInformationTableTitle)

      Parameters:
        `freeInformationTableTitle` - the freeInformationTableTitle to set

    - #### getFreeInformationTableRows

          public Map<String,String> getFreeInformationTableRows()

      Returns:
        the freeInformationTableRows

    - #### setFreeInformationTableRows

          public void setFreeInformationTableRows(Map<String,String> freeInformationTableRows)

      Parameters:
        `freeInformationTableRows` - the freeInformationTableRows to set

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.